The Qualifications API is for administering Qualification records in Skills Base which includes adding, and retrieving records.
Endpoint
/1.0/qualifications
Objects used by this API
|
Name |
Data type |
Read only |
Description |
|
name |
No |
The Qualification name |
|
|
person_id |
No |
The person that the Qualification is associated with |
|
|
status |
No |
Qualification status. Possible values are "completed", "completing", "nominated" |
|
|
start_date |
No |
A start date |
|
|
end_date |
No |
An end date |
|
|
custom_field_{n} |
No |
Custom Field with id {n}. Where {n} corresponds to the permanent internal id allocated to the custom field (retrievable via the Skills Base UI) |
Methods
GET /qualifications
Returns all Qualifications in the instance that are associated with people.
GET /qualifications/person/:id
Returns Qualifications that are associated with the given person id
POST /qualifications/search
Searches Qualification records. See Search APIs for a description of search functionality.
The available search parameters are:
|
Name |
Arrays |
Wildcards |
|
name |
No |
Yes |
|
person_id |
Yes |
No |
|
status |
Yes |
No |
|
start_date |
Yes |
No |
|
end_date |
Yes |
No |
POST /qualifications
Creates a new Qualification record and associates it with the given person.
The following parameters can be POSTed
|
Name |
Required |
|
name |
Yes |
|
person_id |
Yes |
|
status |
Yes |
|
start_date |
No |
|
end_date |
No |